<?php
session_start();
if (!isset($_SESSION['user_id']) || $_SESSION['role'] != 'admin') {
    header("Location: login.php");
    exit();
}
require_once 'config.php';
?>

<!DOCTYPE html>
<html dir="rtl" lang="ar">
<head>
    <meta charset="UTF-8">
    <title>لوحة تحكم المدير</title>
    <link rel="stylesheet" href="style.css">
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
</head>
<body>
    <div class="dashboard">
        <div class="sidebar">
            <h2>القائمة</h2>
            <ul>
                <li><a href="#overview">نظرة عامة</a></li>
                <li><a href="#reports">التقارير</a></li>
                <li><a href="#users">المستخدمين</a></li>
                <li><a href="logout.php">تسجيل خروج</a></li>
            </ul>
        </div>
        
        <div class="main-content">
            <div class="charts">
                <canvas id="performanceChart"></canvas>
            </div>
            
            <div class="data-tables">
                <!-- جداول البيانات -->
            </div>
        </div>
    </div>
    
    <script>
    // رسم المخطط البياني
    const ctx = document.getElementById('performanceChart').getContext('2d');
    new Chart(ctx, {
        type: 'line',
        data: {
            labels: ['يناير', 'فبراير', 'مارس', 'أبريل'],
            datasets: [{
                label: 'الأداء الشهري',
                data: [12, 19, 3, 5],
                borderColor: 'rgb(75, 192, 192)',
                tension: 0.1
            }]
        }
    });
    </script>
</body>
</html>