<?php
session_start();
if (!isset($_SESSION['user_id']) || $_SESSION['role'] != 'user') {
    header("Location: login.php");
    exit();
}
require_once 'config.php';

$user_id = $_SESSION['user_id'];
?>

<!DOCTYPE html>
<html dir="rtl" lang="ar">
<head>
    <meta charset="UTF-8">
    <title>لوحة تحكم المستخدم</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <div class="dashboard">
        <div class="sidebar">
            <h2>القائمة</h2>
            <ul>
                <li><a href="#bisycle">تتبع البيسركل</a></li>
                <li><a href="#performance">الأداء الشخصي</a></li>
                <li><a href="#firstline">الصف الأول</a></li>
                <li><a href="logout.php">تسجيل خروج</a></li>
            </ul>
        </div>
        
        <div class="main-content">
            <div id="bisycle" class="section">
                <h2>تتبع البيسركل</h2>
                <form method="POST" action="save_bisycle.php">
                    <div class="form-group">
                        <label>عنوان التدريب:</label>
                        <input type="text" name="training_title" required>
                    </div>
                    <div class="form-group">
                        <label>تاريخ التدريب:</label>
                        <input type="date" name="training_date" required>
                    </div>
                    <div class="form-group">
                        <label>مقدم التدريب:</label>
                        <input type="text" name="trainer_name" required>
                    </div>
                    <div class="form-group">
                        <label>مقدم العرض:</label>
                        <input type="text" name="presenter_name" required>
                    </div>
                    <div class="form-group">
                        <label>عدد الشركاء:</label>
                        <input type="number" name="partners_count" required>
                    </div>
                    <div class="form-group">
                        <label>عدد المرشحين:</label>
                        <input type="number" name="candidates_count" required>
                    </div>
                    <div class="form-group">
                        <label>عدد المرشحين المسجلين من البيسركل السابق:</label>
                        <input type="number" name="previous_registered_count" required>
                    </div>
                    <div class="form-group">
                        <label>عدد الشركاء المسجلين من عروض 2x1:</label>
                        <input type="number" name="partners_2x1_count" required>
                    </div>
                    <div class="form-group">
                        <label>عدد الشركاء المسجلين من عروض 1x1:</label>
                        <input type="number" name="partners_1x1_count" required>
                    </div>
                    <button type="submit">حفظ</button>
                </form>
            </div>
            
            <div id="performance" class="section">
                <h2>الأداء الشخصي</h2>
                <form method="POST" action="save_personal_performance.php">
                    <div class="form-group">
                        <label>عدد العروض الشخصية:</label>
                        <input type="number" name="personal_presentations" required>
                    </div>
                    <div class="form-group">
                        <label>عدد الداركت:</label>
                        <input type="number" name="direct_count" required>
                    </div>
                    <div class="form-group">
                        <label>حجم المبيعات:</label>
                        <input type="number" step="0.01" name="sales_volume" required>
                    </div>
                    <div class="form-group">
                        <label>العمولات الأسبوعية:</label>
                        <input type="number" step="0.01" name="weekly_commission" required>
                    </div>
                    <button type="submit">حفظ</button>
                </form>
            </div>
            
            <div id="firstline" class="section">
                <h2>الصف الأول</h2>
                <form method="POST" action="save_first_line.php">
                    <div class="form-group">
                        <label>اسم الشريك:</label>
                        <input type="text" name="partner_name" required>
                    </div>
                    <div class="form-group">
                        <label>الرتبة:</label>
                        <input type="text" name="rank" required>
                    </div>
                    <div class="form-group">
                        <label>عدد العروض الشخصية:</label>
                        <input type="number" name="personal_presentations" required>
                    </div>
                    <div class="form-group">
                        <label>عدد الدايركت:</label>
                        <input type="number" name="direct_count" required>
                    </div>
                    <div class="form-group">
                        <label>حجم المبيعات:</label>
                        <input type="number" step="0.01" name="sales_volume" required>
                    </div>
                    <div class="form-group">
                        <label>العمولات الأسبوعية:</label>
                        <input type="number" step="0.01" name="weekly_commission" required>
                    </div>
                    <button type="submit">حفظ</button>
                </form>
            </div>
        </div>
    </div>
</body>
</html>